Pergunte aqui
1

Sobre a mensagem " O LibreOffice requer um JRE (Java Runtime Environment) para executar essa tarefa. Instale o JRE e reinicie o LibreOffice. "

perguntadas 2013-07-09 17:57:01 +0100

imagem do gravatar de pablo ferreira

updated 2013-07-09 18:31:29 +0100

imagem do gravatar de Olivier

O PC é Windows 7 64 Bits,acontece quando tento abrir um arquivo do " Base ".Porém eu já reinstalei novamente o JAVA v.6 e v7 na versão 64 bits é claro ,mas não resolveu.Também já reinstalei o LibreOffice 3.5 e 4.0 e nada! Me ajudem!

editar alterar tag assinalar como ofensivo fechar mesclar Excluir

4 Respostas

1

respondidas 2019-12-20 14:15:48 +0100

imagem do gravatar de mrkalvin

updated 2020-01-01 15:33:31 +0100

Quem tiver essa mensagem:

O LibreOffice requer um 32-bit JRE (Java Runtime Environment) para executar essa tarefa. Instale um JRE e reinicie o LibreOffice.

Pode usar essa versão do AdoptOpenJDK, multiplataforma (Windows, Linux e MacOS) e também formato zip para quem usa Windows sem privilégios de administrador:

https://adoptopenjdk.net/releases.htm...

Só configurar no Libreoffice:

Vá em Menu Ferramentas > Opções > Avançado > Opções do Java e adicione a pasta onde descompactou o AdoptOpenJDK. Clique em OK.

Obs: A versão Portable do Libreoffice para Windows é 32bit (x86) então o AdoptOpenJDK deve ser x86 também, mesmo que o Windows seja x64

editar assinalar como ofensivo Excluir Link mais
0

respondidas 2013-07-09 18:30:48 +0100

imagem do gravatar de Olivier

O LibreOffice precisa saber qual JRE deve ser usada.

Vá em Ferramentas - Opções - Avançado - Opções do Java e selecione a JRE que aparece na lista. Clique em OK.

editar assinalar como ofensivo Excluir Link mais

Comentários

Olá,primeramente muito obrigado pela resposta,mas tenho outro PC,tipo esse 64 bit e esse outro que 32 bit são de uma clinica,então quando o 64 preenche os dados de paciente e adiciona tinha que cair nesse outro PC o 32 pelo o LibreOffice-Base.Mas agora nesse 32 aparece a seguinte mensagem. "Não foi possível estabelecer a conexão com a fonte de dados " consultório2 ". Detalhe do erro: Status SQL:08S01 Communications link failure. The last packet sent sussucessfully to the servers was0 milisseconds ago.The driver has not received any packet from the server. Já selecionei o JRE,já adicionei os parâmetros e também o caminho da classe.Oque pode ser ? Se poder me ajudar agradeço muito.

imagem do gravatar de pablo ferreirapablo ferreira ( 2013-07-12 15:37:18 +0100 )editar

Fiz todas estas operações e em meu windows 10 continua sem funcionar

imagem do gravatar de jeannevesjeanneves ( 2016-04-14 20:12:48 +0100 )editar
0

respondidas 2018-07-21 14:20:45 +0100

imagem do gravatar de crfn83

No meu caso está acontecendo no CALC e não aparece nada na lista... oque faço? OBS. Estou tentando usar Macros e o CALC pede um JRE.

editar assinalar como ofensivo Excluir Link mais

Comentários

Seguiu a orientação do Olivier....

imagem do gravatar de SchiavinattoSchiavinatto ( 2018-07-21 17:56:45 +0100 )editar
0

respondidas 2018-07-23 12:46:01 +0100

imagem do gravatar de Conrado

Antes de mais nada, precisa instalar o Java em sua máquina.

Segue o link: http://www.oracle.com/technetwork/pt/...

Antes da instalação, feche todas as aplicações Libre Office, após o término, inicie o Libre Office e siga os passos indicados pelo Oliver.

Vá em Ferramentas - Opções - Avançado - Opções do Java e selecione a JRE que aparece na lista. Clique em OK.

editar assinalar como ofensivo Excluir Link mais
Login/Registrar para responder

Ferramentas de perguntas

1 seguidor

Estatísticas

Perguntadas: 2013-07-09 17:57:01 +0100

Lidas: 16,080 vezes

Última atualização: Jan 01